Upstream information

CVE-2009-0793 at MITRE

Description

cmsxform.c in LittleCMS (aka lcms or liblcms) 1.18, as used in OpenJDK and other products, allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) via a crafted image that triggers execution of incorrect code for "transformations of monochrome profiles."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 490610 [RESOLVED / FIXED], 521512 [RESOLVED / FIXED], 521513 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • liblcms-devel >= 1.17-77.16.1
  • liblcms-devel-32bit >= 1.17-77.16.1
  • python-lcms >= 1.17-77.16.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA liblcms-devel-1.17-77.16.1
SUSE Linux Enterprise Desktop 12 SP1
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA lcms-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 SP1 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP1 GA lcms-1.19-17.31
SUSE Linux Enterprise Desktop 12 SP2
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA lcms-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 SP2 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP2 GA lcms-1.19-17.31
SUSE Linux Enterprise Desktop 12 SP3
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA lcms-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 SP3 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP3 GA lcms-1.19-17.31
SUSE Linux Enterprise Desktop 12 SP4
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA lcms-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 SP4 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP4 GA lcms-1.19-17.31
SUSE Linux Enterprise Desktop 12
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Desktop 12 GA lcms-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 GA lcms-1.19-17.31
SUSE Linux Enterprise High Performance Computing 12 SP5
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA liblcms1-1.19-17.28
SUSE Linux Enterprise Server 11 SP1
  • lcms >= 1.17-77.14.19
  • liblcms1 >= 1.17-77.14.19
  • liblcms1-32bit >= 1.17-77.14.19
  • liblcms1-x86 >= 1.17-77.14.19
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA lcms-1.17-77.14.19
SUSE Linux Enterprise Server 11 SP1 GA mozilla-xulrunner190-1.9.0.19-0.1.1
SUSE Linux Enterprise Server 11 SP2
  • lcms >= 1.17-77.14.19
  • liblcms1 >= 1.17-77.14.19
  • liblcms1-32bit >= 1.17-77.14.19
  • liblcms1-x86 >= 1.17-77.14.19
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA lcms-1.17-77.14.19
SUSE Linux Enterprise Server 11 SP3
  • lcms >= 1.17-77.14.19
  • liblcms1 >= 1.17-77.14.19
  • liblcms1-32bit >= 1.17-77.14.19
  • liblcms1-x86 >= 1.17-77.14.19
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA lcms-1.17-77.14.19
SUSE Linux Enterprise Server 11 SP4
  • lcms >= 1.17-77.16.1
  • liblcms-devel >= 1.17-77.16.1
  • liblcms-devel-32bit >= 1.17-77.16.1
  • liblcms1 >= 1.17-77.16.1
  • liblcms1-32bit >= 1.17-77.16.1
  • liblcms1-x86 >= 1.17-77.16.1
  • python-lcms >= 1.17-77.16.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA lcms-1.17-77.16.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA liblcms-devel-1.17-77.16.1
SUSE Linux Enterprise Server 12 SP1
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA liblcms1-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 SP1 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP1 GA lcms-1.19-17.31
SUSE Linux Enterprise Server 12 SP2
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA liblcms1-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 SP2 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP2 GA lcms-1.19-17.31
SUSE Linux Enterprise Server 12 SP3
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA liblcms1-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 SP3 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP3 GA lcms-1.19-17.31
SUSE Linux Enterprise Server 12 SP4
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA liblcms1-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 SP4 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP4 GA lcms-1.19-17.31
SUSE Linux Enterprise Server 12 SP5
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA liblcms1-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 SP5 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP5 GA lcms-1.19-17.31
SUSE Linux Enterprise Server 12
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
  • liblcms1 >= 1.19-17.31
  • liblcms1-32bit >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Server 12 GA liblcms1-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 GA lcms-1.19-17.31
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • liblcms1 >= 1.19-17.28
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA liblcms1-1.19-17.28
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP1 GA lcms-1.19-17.31
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP2 GA lcms-1.19-17.31
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP3 GA lcms-1.19-17.31
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP4 GA lcms-1.19-17.31
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Workstation Extension 12 SP5 GA lcms-1.19-17.31
SUSE Linux Enterprise Server for SAP Applications 12
  • lcms >= 1.19-17.31
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 GA lcms-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 SP1
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Software Development Kit 12 SP2
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 SP3
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 SP4
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12 SP5
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA liblcms-devel-1.19-17.28
SUSE Linux Enterprise Software Development Kit 12
  • liblcms-devel >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA liblcms-devel-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP1
  • lcms >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA lcms-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP2
  • lcms >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA lcms-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP3
  • lcms >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA lcms-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP4
  • lcms >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA lcms-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12 SP5
  • lcms >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP5 GA lcms-1.19-17.31
SUSE Linux Enterprise Workstation Extension 12
  • lcms >= 1.19-17.31
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA lcms-1.19-17.31
openSUSE Tumbleweed
  • >=
Patchnames:
openSUSE-Tumbleweed-2024:10340


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 03:43:01 2013
CVE page last modified: Sat Jun 15 17:42:56 2024